### Method

# Shumate Viewport location_to_widget_coords

#### Declaration [src]

    void
    shumate_viewport_location_to_widget_coords (
      ShumateViewport* self,
      GtkWidget* widget,
      double latitude,
      double longitude,
      double* x,
      double* y
    )

#### Description [src]

Gets the position on `widget` that correspond to the given latitude and longitude.

#### Parameters

`widget` | `GtkWidget`
| A `GtkWidget` that uses `self` as viewport.
| The data is owned by the caller of the function.
`latitude` | `double`
| The latitude.
`longitude` | `double`
| The longitude.
`x` | `double*`
| Return value for the x coordinate.
| The argument will be set by the function.
`y` | `double*`
| Return value for the y coordinate.
| The argument will be set by the function.